#pragma once
#include "Bindable.h"
#include <d3d11.h>
#include <vector>
#include "Logger.h"

class IndexBuffer : public Bindable
{
public:
	IndexBuffer(Graphics& gfx, const std::vector<unsigned short>& indices, Logger& logger);
	void Bind(Graphics& gfx, Logger& logger) noexcept override;
	UINT GetCount() const noexcept;
protected:
	UINT count;
	Microsoft::WRL::ComPtr<ID3D11Buffer> pIndexBuffer;
};